XZGREP(1)

NAMN
xzgrep — sök i eventuellt komprimerade filer efter mönster

SYNOPSIS
xzgrep [flagga…] [mönsterlista] [fil…]
xzegrep …
xzfgrep …
lzgrep … (FÖRÅLDRAT)
lzegrep … (FÖRÅLDRAT)
lzfgrep … (FÖRÅLDRAT)

BESKRIVNING
xzgrep anropar grep(1) på det okomprimerade innehållet i filerna. Formaten på filerna bestäms utgående från filnamnsändelsen. En fil med en ändelse som stödjs av xz(1), gzip(1), bzip2(1), lzop(1), zstd(1) eller lz4(1) kommer att dekomprimeras; alla andra filer antas vara okomprimerade.

Om inga filer anges eller om fil är - lästes standard in. När standard in läses är de enda filerna som dekomprimeras de som stödjs av xz(1). Andra filer antas redan vara i okomprimerad form.

De flesta flaggor till grep(1) stödjs. Dock stödjs inte följande flaggor:

    -r, --recursive

    -R, --dereference-recursive

    -d, --directories=åtgärd

    -Z, --null

    -z, --null-data

    --include=glob

    --exclude=glob

    --exclude-from=fil

    --exclude-dir=glob

xzegrep är ett alias för xzgrep -E. xzfgrep är ett alias för xzgrep -F.

Kommandona lzgrep, lzegrep och lzfgrep finns för bakåtkompatibilitet med LZMA Utils. De rekommenderas inte och kommer tas bort i en framtida version.

SLUTSTATUS

0   Åtminstone en matchning hittades från åtminstone en av infilerna. Inga fel uppstod.

1   Inga matchningar hittades i någon av infilerna. Inga fel uppstod.

>1  Ett eller flera fel uppstod. Det är okänt om några matchningar hittades.

MILJÖ

GREP
    Om GREP är satt till något icketomt värde används det istället för grep, grep -E respektive grep -F.

SE ÄVEN
grep(1), xz(1), gzip(1), bzip2(1), lzop(1), zstd(1), lz4(1), zgrep(1)